Bug 1474517 - SUI: Drop Down List Dialog does not keep default value for Integer type
SUI: Drop Down List Dialog does not keep default value for Integer type
Status: ON_DEV
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: UI - OPS (Show other bugs)
5.8.0
Unspecified Unspecified
medium Severity medium
: GA
: cfme-future
Assigned To: Dan Clarizio
Dave Johnson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2017-07-24 16:28 EDT by Shveta
Modified: 2018-02-21 01:56 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
No default value (53.77 KB, image/png)
2017-07-24 16:28 EDT, Shveta
no flags Details
Default value selected in OPS UI (73.24 KB, image/png)
2017-07-24 16:30 EDT, Shveta
no flags Details
dialog values (104.67 KB, image/png)
2017-07-24 16:31 EDT, Shveta
no flags Details
dialog (1.53 KB, text/x-vhdl)
2017-07-24 16:31 EDT, Shveta
no flags Details
dropdown default (51.25 KB, image/png)
2017-11-01 00:11 EDT, Shveta
no flags Details

  None (edit)
Description Shveta 2017-07-24 16:28:44 EDT
Created attachment 1303859 [details]
No default value

Description of problem:This bug is same as 
https://bugzilla.redhat.com/show_bug.cgi?id=1468370 but for SUI .


Version-Release number of selected component (if applicable):
5.8.1.4.20170721182148_8ed7c73

How reproducible:


Steps to Reproduce:
1. OPS UI shows the default value saved in the dialog.
2. Order the catalog item in SUI , the default value is not displayed.
3. "Choose" option is also not selected .

Actual results:


Expected results:


Additional info:
Comment 2 Shveta 2017-07-24 16:30 EDT
Created attachment 1303860 [details]
Default value selected in OPS UI
Comment 3 Shveta 2017-07-24 16:31 EDT
Created attachment 1303861 [details]
dialog values
Comment 4 Shveta 2017-07-24 16:31 EDT
Created attachment 1303862 [details]
dialog

Appliance : https://10.16.5.146/ui/service
Comment 5 Chris Hale 2017-07-24 17:49:10 EDT
This issue is actually addressed in the dialog system rewrite.   https://bugzilla.redhat.com/show_bug.cgi?id=1466340.  I will update this ticket once that one is completed and integrated into SUI.
Comment 6 Chris Kacerguis 2017-08-02 11:30:22 EDT
A Pivotal Tracker story has been created for this Bug: https://www.pivotaltracker.com/story/show/149888944
Comment 7 Chris Kacerguis 2017-08-02 11:31:56 EDT
Allen deleted the linked story in Pivotal Tracker
Comment 8 Chris Kacerguis 2017-08-09 13:32:18 EDT
PR: https://github.com/ManageIQ/manageiq-ui-service/pull/867

(waiting for review)
Comment 9 Shveta 2017-11-01 00:10:39 EDT
Default values is displayed in dropdown but on clicking on the dropdown, the default value is gone and field desc is shown instead . See attached screenshot.

I can open a separate BZ for this if required.
Comment 10 Shveta 2017-11-01 00:11 EDT
Created attachment 1346282 [details]
dropdown default
Comment 11 Chris Kacerguis 2017-11-02 06:51:28 EDT
So, it looks like the target release is 5.9 and I believe that we have already fixed this in 5.9.  Would you be able to test on a 5.9 box?
Comment 14 Shveta 2017-11-06 14:18:36 EST
(In reply to Chris Kacerguis from comment #11)
> So, it looks like the target release is 5.9 and I believe that we have
> already fixed this in 5.9.  Would you be able to test on a 5.9 box?

This observation is on 5.9.
Comment 15 Chris Hale 2017-11-10 16:14:15 EST
I took a deeper look at this issue and here is what I did.  
I went into the sample dialog and changed the value type to "Integer"
.  
I then set a default value to "2"
The behavior I noticed in the API is that the API returned a string "[\"2\",\"2\"]".   The API should be returning a simple integer of 2 not a string representation of an array.  I believe this might not be and issue with the API but more of an issue with the Dialog editor sending back an array when it should be sending a integer as the default_value.  I am going to have someone from the Classic UI team take a look and see if it is an issue with editing of dialogs

Note You need to log in before you can comment on or make changes to this bug.